Get Activation Key Details

[GET]  /caui/v1/activation-keys/manage/<id>

Use this API to fetch the details of an activation key.

Provide the activation key ID (id - Required) in the API request to get the key details.

Permissions required - Managers with full scope. Other users must have these permissions: Access Permission — API Access, and CA Activation Key Permission — View Activation Key.

Input Parameters

There are no input parameters.

Sample - View details of activation keySample - View details of activation key

API Request

 curl --location --request GET '<qualys_base_url>/caui/v1/activation-keys/manage/1234567' \ 
 --header 'Authorization: Bearer <JWT Token>' \

API Response

 
    {
        "id": 123456,
        "title": “Activation_key_title_01”,
        "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b123",
        "networkId": 0,
        "countUsed": 0,
        "countPurchased": 0,
        "datePurchased": "2025-09-08T18:40:11",
        "firstName": "John",
        "lastName": "Doe",
        "userName": "<username>",
        "keyType": "Unlimited",
        "expireDate": null,
        "isDisabled": false,
        "licenses": [
          "VM",
          "PA"
        ],
        "tags": [],
        "applyToExistingAgents": false
      }